#!/bin/sh

  export RPM_SOURCE_DIR="/usr/src/RPM/SOURCES"
  export RPM_BUILD_DIR="/usr/src/RPM/BUILD"
  export RPM_OPT_FLAGS="-pipe -Wall -O2 -fexpensive-optimizations -march=i686"
  export RPM_ARCH="i686"
  export RPM_OS="linux"
  export RPM_DOC_DIR="/usr/share/doc"
  export RPM_PACKAGE_NAME="gcc3.2"
  export RPM_PACKAGE_VERSION="3.2.1"
  export RPM_PACKAGE_RELEASE="alt0.4"
  export RPM_BUILD_ROOT="/var/tmp/gcc3.2-buildroot"
  export RPM_CLEANUP_METHOD="auto"
  export RPM_COMPRESS_METHOD=" bzip2"
  export RPM_FIXUP_METHOD="binconfig pkgconfig libtool"
  export RPM_STRIP_METHOD="executable shared"
  export RPM_VERIFY_ELF_METHOD="normal"
  
  
  export RPM_FINDREQ_DEFAULT_METHOD="files lib pam perl shell"
  export RPM_FINDPROV_DEFAULT_METHOD="pam lib perl"
  export RPM_CLEANUP_TOPDIR=""
  export RPM_COMPRESS_TOPDIR="/usr"
  export RPM_FIXUP_TOPDIR=""
  export RPM_STRIP_TOPDIR=""
  export RPM_VERIFY_ELF_TOPDIR=""
  export RPM_FINDREQ_TOPDIR=""
  export RPM_FINDPROV_TOPDIR=""
  export RPM_CLEANUP_SKIPLIST=""
  export RPM_COMPRESS_SKIPLIST=""
  export RPM_FIXUP_SKIPLIST=""
  export RPM_STRIP_SKIPLIST="*/debug/*"
  export RPM_VERIFY_ELF_SKIPLIST=""
  export RPM_FINDREQ_SKIPLIST="/usr/share/doc/*"
  export RPM_FINDPROV_SKIPLIST="/usr/share/doc/*"
  
  export RPM_PYTHON="/usr/bin/python"
  
  unset LANG LANGUAGE LC_CTYPE LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES LC_PAPER LC_NAME LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT LC_IDENTIFICATION LC_ALL ||:
  
  
  unset DISPLAY XAUTHORITY ||:
  
  
  
  unset CCACHE_CC CCACHE_DIR ||:
  
  
  set -x
  umask 022
  /bin/mkdir -p /usr/src/RPM/BUILD
  cd /usr/src/RPM/BUILD
cd gcc-3.2-20020903
rm -rf build-i686-alt-linux
mkdir build-i686-alt-linux
pushd build-i686-alt-linux

CC=gcc


CC="$CC" \
	CFLAGS="$RPM_OPT_FLAGS" \
	CXXFLAGS="$RPM_OPT_FLAGS" \
	GCJFLAGS="$RPM_OPT_FLAGS" \
	XCFLAGS="$RPM_OPT_FLAGS" \
	TCFLAGS="$RPM_OPT_FLAGS" \
	../configure --prefix=/usr \
	--libdir=/usr/lib \
	--with-slibdir=/lib \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--enable-shared \
	--enable-threads=posix \
	--disable-checking \
	--enable-long-long \
	--enable-__cxa_atexit \
	--enable-languages="c,c++,f77,objc,java" \
	--program-suffix=-3.2 \
	--enable-objc-gc \
	--with-system-zlib \
	--host=i686-alt-linux --build=i686-alt-linux --target=i686-alt-linux

touch ../gcc/c-gperf.h

[ -n "$NPROCS" ] || NPROCS=1; make -j$NPROCS bootstrap-lean


# Make protoize
make -C gcc CC="./xgcc -B ./ -O2" proto

popd #build-i686-alt-linux

# build printable documentation

exit 0